cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joerg Heinicke <joerg.heini...@gmx.de>
Subject Re: [VOTE] Drop JDK1.3 support after 2.1.10 release
Date Mon, 18 Dec 2006 00:58:45 GMT
On 17.12.2006 23:46, Andrew Stevens wrote:

> Although this means the developers presumably won't be worrying about 
> preserving 1.3 compatibility in future, if anyone else submits patches 
> for it would these still get applied to the branch?

That's how I would really like to see it is handled. That's also why I 
refrained from the vote.

I also find the way in the status.xml a bit too harsh: "the effort [..] 
is no longer justified." Maybe a native english speaker can reformulate 
a bit friendlier in the sense that we just don't have enough man power 
to maintain the compatibility, but are willing to apply provided 
patches. At the end not much changes to the current situation, only the 
failures are less unexpected. And preserving compatibility should not be 
so hard without active development.

We also should think about splitting the shared blocks in the near 
future! This removes some further compatibility requirements.

Jörg

Mime
View raw message